Bug 152316 - gdk-pixbuf BMP double free DoS
Summary: gdk-pixbuf BMP double free DoS
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gdk-pixbuf   
(Show other bugs)
Version: 3
Hardware: All Linux
medium
high
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Brian Brock
URL:
Whiteboard: impact=important,public=20050326,sour...
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-03-28 15:11 UTC by Josh Bressers
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: gtk2-2.4.14-4.fc3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-24 19:38:44 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Josh Bressers 2005-03-28 15:11:21 UTC
+++ This bug was initially created as a clone of Bug #152315 +++

A BMP image with no palette can cause a double free condition in the gdk-pixbuf
BMP processing code.

For more information see:
http://bugzilla.gnome.org/show_bug.cgi?id=171707

Comment 1 Josh Bressers 2005-03-28 15:12:49 UTC
This issue also affect FC2

Comment 2 Rahul Sundaram 2005-09-05 08:11:29 UTC
Is this fixed?

Comment 3 Matthias Clasen 2005-10-24 19:38:44 UTC
Fixed in gtk2-2.4.14-4.fc3


Note You need to log in before you can comment on or make changes to this bug.